Index: cprs/branches/GUI-config/GUI_Config.dsk
===================================================================
--- cprs/branches/GUI-config/GUI_Config.dsk	(revision 542)
+++ cprs/branches/GUI-config/GUI_Config.dsk	(revision 544)
@@ -1,23 +1,31 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\GUI-config\BDK32\Source\TRPCB.pas',0,1,1045,1,1059,0,0
-File_1=SourceModule,'P:\vista\GUI-config\CreateTemplateU.pas',0,1,140,11,145,0,0
-File_2=SourceModule,'P:\vista\GUI-config\SetSelU.pas',0,1,1,1,1,1,0
-File_3=SourceModule,'P:\vista\GUI-config\SubfilesU.pas',0,1,102,14,113,0,0
-File_4=SourceModule,'P:\vista\GUI-config\FMErrorU.pas',0,1,1,71,43,1,0
-File_5=SourceModule,'P:\vista\GUI-config\LookupU.pas',0,1,1,21,3,1,1
-File_6=SourceModule,'P:\vista\GUI-config\PostU.pas',0,1,70,1,1,1,0
-File_7=SourceModule,'P:\vista\GUI-config\BatchAddU.pas',0,1,459,3,480,0,0
+File_0=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORNet.pas',0,1,358,1,330,0,0
+File_1=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,113,24,124,0,0
+File_2=SourceModule,'P:\vista\GUI-config\frmSplash.pas',0,1,1,1,1,1,0
+File_3=SourceModule,'P:\vista\GUI-config\AboutU.pas',0,1,107,1,108,1,0
+File_4=SourceModule,'P:\vista\GUI-config\BDK32\Source\TRPCB.pas',0,1,1045,1,1059,0,0
+File_5=SourceModule,'P:\vista\GUI-config\CreateTemplateU.pas',0,1,140,11,145,0,0
+File_6=SourceModule,'P:\vista\GUI-config\SetSelU.pas',0,1,1,1,1,1,0
 
 [Modules]
-Module0=P:\vista\GUI-config\MainU.pas
-Module1=P:\vista\GUI-config\frmSplash.pas
-Module2=P:\vista\GUI-config\AboutU.pas
-Module3=P:\Vista\GUI-config\CPRS-Lib\ORNet.pas
-Module4=P:\vista\GUI-config\SkinFormU.pas
-Module5=P:\vista\GUI-config\BDK32\Source\wsockc.pas
-Module6=P:\vista\GUI-config\GUI_Config.dpr
-Count=7
+Module0=P:\vista\GUI-config\GUI_Config.dpr
+Module1=P:\vista\GUI-config\BDK32\Source\wsockc.pas
+Module2=P:\vista\GUI-config\MainU.pas
+Module3=P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas
+Module4=P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas
+Module5=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
+Count=6
 EditWindowCount=1
 
+[P:\vista\GUI-config\GUI_Config.dpr]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\BDK32\Source\wsockc.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [P:\vista\GUI-config\MainU.pas]
 ModuleType=SourceModule
@@ -25,30 +33,15 @@
 FormOnTop=0
 
-[P:\vista\GUI-config\frmSplash.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=1
-
-[P:\vista\GUI-config\AboutU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\GUI-config\CPRS-Lib\ORNet.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\SkinFormU.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\BDK32\Source\wsockc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\GUI_Config.dpr]
+[P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\OleCtrls.pas]
 ModuleType=SourceModule
 FormState=0
@@ -60,6 +53,6 @@
 
 [EditWindow0]
-ViewCount=7
-CurrentView=3
+ViewCount=6
+CurrentView=5
 View0=0
 View1=1
@@ -68,5 +61,4 @@
 View4=4
 View5=5
-View6=6
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -78,42 +70,42 @@
 Width=927
 Height=648
-MaxLeft=-4
-MaxTop=104
+MaxLeft=-1
+MaxTop=-1
 ClientWidth=919
 ClientHeight=614
-LeftPanelSize=140
+LeftPanelSize=218
 LeftPanelClients=CodeExplorer@EditWindow0
 LeftPanelData=000004000000000000000000000000000000000000000000000100000000000000000C000000436F64654578706C6F726572FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=85
+BottomPanelSize=155
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=00000400000000009703000000000000025500000000000000010000000000000000000000000100000000AE020000000000000100000000970300000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=000004000000000000000000000000000000000000000000000100000000000000000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
-Module=P:\vista\GUI-config\GUI_Config.dpr
-CursorX=1
-CursorY=66
-TopLine=58
+Module=P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas
+CursorX=11
+CursorY=1110
+TopLine=1104
 LeftCol=1
 
 [View1]
-Module=P:\vista\GUI-config\frmSplash.pas
-CursorX=1
-CursorY=1
-TopLine=1
+Module=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
+CursorX=27
+CursorY=96
+TopLine=85
 LeftCol=1
 
 [View2]
-Module=P:\vista\GUI-config\AboutU.pas
-CursorX=1
-CursorY=108
-TopLine=107
+Module=P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas
+CursorX=29
+CursorY=45
+TopLine=44
 LeftCol=1
 
 [View3]
 Module=P:\vista\GUI-config\MainU.pas
-CursorX=1
-CursorY=1498
-TopLine=1481
+CursorX=3
+CursorY=36
+TopLine=23
 LeftCol=1
 
@@ -122,19 +114,12 @@
 CursorX=1
 CursorY=1479
-TopLine=1471
+TopLine=1468
 LeftCol=1
 
 [View5]
-Module=P:\vista\GUI-config\SkinFormU.pas
-CursorX=24
-CursorY=124
-TopLine=113
-LeftCol=1
-
-[View6]
-Module=P:\Vista\GUI-config\CPRS-Lib\ORNet.pas
+Module=P:\vista\GUI-config\GUI_Config.dpr
 CursorX=1
-CursorY=330
-TopLine=358
+CursorY=66
+TopLine=55
 LeftCol=1
 
@@ -167,5 +152,5 @@
 Count=2
 Breakpoint0='P:\vista\GUI-config\MainU.pas',990,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint1='P:\vista\GUI-config\MainU.pas',1878,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint1='P:\vista\GUI-config\MainU.pas',1879,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -180,6 +165,6 @@
 Width=1024
 Height=112
-MaxLeft=-1
-MaxTop=-1
+MaxLeft=-4
+MaxTop=-4
 MaxWidth=1032
 MaxHeight=112
@@ -458,12 +443,12 @@
 Left=0
 Top=12
-Width=140
-Height=514
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=140
-ClientHeight=514
+Width=218
+Height=444
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=218
+ClientHeight=444
 TBDockHeight=305
-LRDockWidth=140
+LRDockWidth=218
 Dockable=1
 
@@ -475,10 +460,10 @@
 Top=0
 Width=907
-Height=85
+Height=155
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=907
-ClientHeight=85
-TBDockHeight=85
+ClientHeight=155
+TBDockHeight=155
 LRDockWidth=443
 Dockable=1