Index: ccr/trunk/p/C0CVITAL.m
===================================================================
--- ccr/trunk/p/C0CVITAL.m	(revision 569)
+++ ccr/trunk/p/C0CVITAL.m	(revision 599)
@@ -1,3 +1,3 @@
-C0CVITAL	; CCDCCR/CJE/GPL - CCR/CCD PROCESSING FOR VITALS ; 07/16/08
+C0CVITAL ; CCDCCR/CJE/GPL - CCR/CCD PROCESSING FOR VITALS ; 07/16/08
  ;;1.0;C0C;;May 19, 2009;
  ;Copyright 2008,2009 George Lilly, University of Minnesota and others.
@@ -22,5 +22,5 @@
  Q
  ;
-EXTRACT(VITXML,DFN,VITOUTXML)	; EXTRACT VITALS INTO PROVIDED XML TEMPLATE
+EXTRACT(VITXML,DFN,VITOUTXML) ; EXTRACT VITALS INTO PROVIDED XML TEMPLATE
  ;
  ; VITXML AND OUTXML ARE PASSED BY NAME SO GLOBALS CAN BE USED
@@ -39,5 +39,5 @@
  Q
  ;
-VITVISTA	; EXTRACT VITALS FROM VISTA INTO PROVIDED XML TEMPLATE
+VITVISTA ; EXTRACT VITALS FROM VISTA INTO PROVIDED XML TEMPLATE
  D VITALS^ORQQVI(.VITRSLT,DFN,C0CSDT,C0CEDT)
  ;D VITALS^ORQQVI(.VITRSLT,DFN,C0CVSTRT,C0CVLMT) ; GPL LET GMR HANDLE THE DATES
@@ -199,5 +199,5 @@
  Q
  ;
-VITRPMS	; EXTRACT VITALS FROM RPMS INTO PROVIDED XML TEMPLATE
+VITRPMS ; EXTRACT VITALS FROM RPMS INTO PROVIDED XML TEMPLATE
  ; RPMS VITAL RPC ONLY RETURNS LATEST VITAL IN SPECIFIED DATE RANGE NOT ALL VITALS IN DATE RANGE
  ; WE NEED TO SETUP THE VARIABLES THE INTERNAL CALL NEEDS TO BYPASS A HARD CODE OF ONE VITAL FOR DATE RANGE
@@ -241,5 +241,5 @@
  . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P($G(^AUPNVMSR($P(VITPTMP,U,1),12)),U,4)
  . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P($P(VITPTMP,U,5)," ",1)
- . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")="in"
+ . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=$P($P(VITPTMP,U,5)," ",2)
  . . E  I $P(VITPTMP,U,3)="WT" D
  . . . S @VITVMAP@("VITALSIGNSDATETIMETYPETEXT")="OBSERVED"
@@ -255,5 +255,5 @@
  . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P($G(^AUPNVMSR($P(VITPTMP,U,1),12)),U,4)
  . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P($P(VITPTMP,U,5)," ",1)
- . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")="lbs"
+ . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=$P($P(VITPTMP,U,5)," ",2)
  . . E  I $P(VITPTMP,U,3)="BP" D
  . . . S @VITVMAP@("VITALSIGNSDATETIMETYPETEXT")="OBSERVED"
@@ -269,5 +269,5 @@
  . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P($G(^AUPNVMSR($P(VITPTMP,U,1),12)),U,4)
  . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P($P(VITPTMP,U,5)," ",1)
- . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=""
+ . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=$P($P(VITPTMP,U,5)," ",2)
  . . E  I $P(VITPTMP,U,3)="TMP" D
  . . . S @VITVMAP@("VITALSIGNSDATETIMETYPETEXT")="OBSERVED"
@@ -283,5 +283,5 @@
  . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P($G(^AUPNVMSR($P(VITPTMP,U,1),12)),U,4)
  . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P($P(VITPTMP,U,5)," ",1)
- . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")="F"
+ . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=$P($P(VITPTMP,U,5)," ",2)
  . . E  I $P(VITPTMP,U,3)="RS" D
  . . . S @VITVMAP@("VITALSIGNSDATETIMETYPETEXT")="OBSERVED"
@@ -297,5 +297,5 @@
  . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P($G(^AUPNVMSR($P(VITPTMP,U,1),12)),U,4)
  . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P($P(VITPTMP,U,5)," ",1)
- . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=""
+ . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=$P($P(VITPTMP,U,5)," ",2)
  . . E  I $P(VITPTMP,U,3)="PU" D
  . . . S @VITVMAP@("VITALSIGNSDATETIMETYPETEXT")="OBSERVED"
@@ -311,5 +311,5 @@
  . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P($G(^AUPNVMSR($P(VITPTMP,U,1),12)),U,4)
  . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P($P(VITPTMP,U,5)," ",1)
- . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=""
+ . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=$P($P(VITPTMP,U,5)," ",2)
  . . E  I $P(VITPTMP,U,3)="PA" D
  . . . S @VITVMAP@("VITALSIGNSDATETIMETYPETEXT")="OBSERVED"
@@ -325,5 +325,5 @@
  . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P($G(^AUPNVMSR($P(VITPTMP,U,1),12)),U,4)
  . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P($P(VITPTMP,U,5)," ",1)
- . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=""
+ . . . S @VITVMAP@("VITALSIGNSTESTRESULTUNIT")=$P($P(VITPTMP,U,5)," ",2)
  . . E  D
  . . . ;W "IN VITAL:  OTHER",!
@@ -361,5 +361,5 @@
  Q
  ;
-VITDRPMS(VDT)	; RUN DATE SORTING ALGORITHM FOR RPMS
+VITDRPMS(VDT) ; RUN DATE SORTING ALGORITHM FOR RPMS
  ; VDT IS PASSED BY REFERENCE AND WILL CONTAIN THE ARRAY
  ; OF DATES IN THE VITALS RESULTS
@@ -374,5 +374,5 @@
  Q
  ;
-VITDVISTA(VDT)	; RUN DATE SORTING ALGORITHM FOR VISTA
+VITDVISTA(VDT) ; RUN DATE SORTING ALGORITHM FOR VISTA
  ; VDT IS PASSED BY REFERENCE AND WILL CONTAIN THE ARRAY
  ; OF DATES IN THE VITALS RESULTS