Index: cprs/branches/GUI-config/GUI_Config.dsk
===================================================================
--- cprs/branches/GUI-config/GUI_Config.dsk	(revision 544)
+++ cprs/branches/GUI-config/GUI_Config.dsk	(revision 610)
@@ -1,21 +1,27 @@
 [Closed Files]
-File_0=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORNet.pas',0,1,358,1,330,0,0
-File_1=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,113,24,124,0,0
-File_2=SourceModule,'P:\vista\GUI-config\frmSplash.pas',0,1,1,1,1,1,0
-File_3=SourceModule,'P:\vista\GUI-config\AboutU.pas',0,1,107,1,108,1,0
-File_4=SourceModule,'P:\vista\GUI-config\BDK32\Source\TRPCB.pas',0,1,1045,1,1059,0,0
-File_5=SourceModule,'P:\vista\GUI-config\CreateTemplateU.pas',0,1,140,11,145,0,0
-File_6=SourceModule,'P:\vista\GUI-config\SetSelU.pas',0,1,1,1,1,1,0
+File_0=SourceModule,'P:\vista\GUI-config\AboutU.pas',0,1,107,1,108,1,0
+File_1=SourceModule,'P:\vista\GUI-config\BDK32\Source\TRPCB.pas',0,1,1045,1,1059,0,0
+File_2=SourceModule,'P:\vista\GUI-config\CreateTemplateU.pas',0,1,140,11,145,0,0
+File_3=SourceModule,'P:\vista\GUI-config\SetSelU.pas',0,1,1,1,1,1,0
 
 [Modules]
-Module0=P:\vista\GUI-config\GUI_Config.dpr
-Module1=P:\vista\GUI-config\BDK32\Source\wsockc.pas
-Module2=P:\vista\GUI-config\MainU.pas
-Module3=P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas
-Module4=P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas
-Module5=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
-Count=6
+Module0=P:\vista\GUI-config\MainU.pas
+Module1=P:\vista\GUI-config\GUI_Config.dpr
+Module2=P:\vista\GUI-config\BDK32\Source\wsockc.pas
+Module3=P:\vista\GUI-config\frmSplash.pas
+Module4=P:\Vista\GUI-config\CPRS-Lib\ORNet.pas
+Module5=P:\vista\GUI-config\SkinFormU.pas
+Module6=P:\vista\GUI-config\PostU.pas
+Module7=P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas
+Module8=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
+Module9=P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas
+Count=10
 EditWindowCount=1
 
+[P:\vista\GUI-config\MainU.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [P:\vista\GUI-config\GUI_Config.dpr]
 ModuleType=SourceModule
@@ -28,7 +34,22 @@
 FormOnTop=0
 
-[P:\vista\GUI-config\MainU.pas]
-ModuleType=SourceModule
-FormState=1
+[P:\vista\GUI-config\frmSplash.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\GUI-config\CPRS-Lib\ORNet.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\SkinFormU.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\PostU.pas]
+ModuleType=SourceModule
+FormState=0
 FormOnTop=0
 
@@ -38,4 +59,9 @@
 FormOnTop=0
 
+[c:\program files\borland\delphi7\source\vcl\OleCtrls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas]
 ModuleType=SourceModule
@@ -43,9 +69,4 @@
 FormOnTop=0
 
-[c:\program files\borland\delphi7\source\vcl\OleCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
 [C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
@@ -53,6 +74,6 @@
 
 [EditWindow0]
-ViewCount=6
-CurrentView=5
+ViewCount=10
+CurrentView=3
 View0=0
 View1=1
@@ -61,4 +82,8 @@
 View4=4
 View5=5
+View6=6
+View7=7
+View8=8
+View9=9
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -66,19 +91,19 @@
 Visible=1
 State=0
-Left=22
-Top=121
-Width=927
-Height=648
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=919
-ClientHeight=614
-LeftPanelSize=218
+Left=199
+Top=157
+Width=775
+Height=552
+MaxLeft=-782
+MaxTop=261
+ClientWidth=767
+ClientHeight=518
+LeftPanelSize=0
 LeftPanelClients=CodeExplorer@EditWindow0
-LeftPanelData=000004000000000000000000000000000000000000000000000100000000000000000C000000436F64654578706C6F726572FFFFFFFF
+LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
 RightPanelSize=0
 BottomPanelSize=155
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=000004000000000000000000000000000000000000000000000100000000000000000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=0000040000000000FF02000000000000029B00000000000000010000000000000000000000000100000000FF0200000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
@@ -105,10 +130,38 @@
 [View3]
 Module=P:\vista\GUI-config\MainU.pas
-CursorX=3
-CursorY=36
-TopLine=23
+CursorX=1
+CursorY=210
+TopLine=202
 LeftCol=1
 
 [View4]
+Module=P:\vista\GUI-config\PostU.pas
+CursorX=62
+CursorY=10
+TopLine=34
+LeftCol=1
+
+[View5]
+Module=P:\vista\GUI-config\SkinFormU.pas
+CursorX=16
+CursorY=95
+TopLine=87
+LeftCol=1
+
+[View6]
+Module=P:\Vista\GUI-config\CPRS-Lib\ORNet.pas
+CursorX=1
+CursorY=310
+TopLine=1
+LeftCol=1
+
+[View7]
+Module=P:\vista\GUI-config\frmSplash.pas
+CursorX=1
+CursorY=1
+TopLine=1
+LeftCol=1
+
+[View8]
 Module=P:\vista\GUI-config\BDK32\Source\wsockc.pas
 CursorX=1
@@ -117,9 +170,9 @@
 LeftCol=1
 
-[View5]
+[View9]
 Module=P:\vista\GUI-config\GUI_Config.dpr
 CursorX=1
 CursorY=66
-TopLine=55
+TopLine=46
 LeftCol=1
 
@@ -150,7 +203,8 @@
 
 [Breakpoints]
-Count=2
+Count=3
 Breakpoint0='P:\vista\GUI-config\MainU.pas',990,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint1='P:\vista\GUI-config\MainU.pas',1879,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint2='P:\vista\GUI-config\MainU.pas',345,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -165,6 +219,6 @@
 Width=1024
 Height=112
-MaxLeft=-4
-MaxTop=-4
+MaxLeft=-1
+MaxTop=-1
 MaxWidth=1032
 MaxHeight=112
@@ -240,10 +294,10 @@
 Left=0
 Top=0
-Width=206
-Height=411
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=206
-ClientHeight=411
+Width=158
+Height=309
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=158
+ClientHeight=309
 TBDockHeight=527
 LRDockWidth=250
@@ -251,5 +305,5 @@
 SplitPos=73
 ArrangeBy=Name
-SelectedItem=Caption
+SelectedItem=
 ExpandedItems=Anchors,Menu,Options
 HiddenCategories=Legacy
@@ -319,10 +373,10 @@
 Left=0
 Top=0
-Width=206
-Height=411
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=206
-ClientHeight=411
+Width=158
+Height=309
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=158
+ClientHeight=309
 TBDockHeight=527
 LRDockWidth=250
@@ -439,14 +493,14 @@
 [CodeExplorer@EditWindow0]
 Create=1
-Visible=1
+Visible=0
 State=0
 Left=0
 Top=12
 Width=218
-Height=444
+Height=461
 MaxLeft=-1
 MaxTop=-1
 ClientWidth=218
-ClientHeight=444
+ClientHeight=461
 TBDockHeight=305
 LRDockWidth=218
@@ -459,9 +513,9 @@
 Left=12
 Top=0
-Width=907
+Width=755
 Height=155
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=907
+ClientWidth=755
 ClientHeight=155
 TBDockHeight=155
@@ -477,12 +531,12 @@
 Visible=1
 State=0
-Left=3
-Top=152
-Width=222
-Height=466
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=214
-ClientHeight=440
+Left=36
+Top=157
+Width=174
+Height=364
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=166
+ClientHeight=338
 TBDockHeight=539
 LRDockWidth=258