Index: cprs/branches/GUI-config/GUI_Config.dsk
===================================================================
--- cprs/branches/GUI-config/GUI_Config.dsk	(revision 610)
+++ cprs/branches/GUI-config/GUI_Config.dsk	(revision 611)
@@ -1,26 +1,36 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\GUI-config\AboutU.pas',0,1,107,1,108,1,0
-File_1=SourceModule,'P:\vista\GUI-config\BDK32\Source\TRPCB.pas',0,1,1045,1,1059,0,0
-File_2=SourceModule,'P:\vista\GUI-config\CreateTemplateU.pas',0,1,140,11,145,0,0
-File_3=SourceModule,'P:\vista\GUI-config\SetSelU.pas',0,1,1,1,1,1,0
+File_0=SourceModule,'P:\vista\GUI-config\PostU.pas',0,1,34,62,10,0,0
+File_1=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,87,16,95,0,0
+File_2=SourceModule,'P:\vista\GUI-config\BDK32\Source\wsockc.pas',0,1,1468,71,1476,0,0
+File_3=SourceModule,'P:\Vista\GUI-config\CPRS-Lib\ORNet.pas',0,1,1,1,310,0,0
+File_4=SourceModule,'c:\program files\borland\delphi7\source\vcl\OleCtrls.pas',0,1,85,27,96,0,0
+File_5=SourceModule,'P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas',0,1,44,29,45,0,0
+File_6=SourceModule,'P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas',0,1,1104,11,1110,0,0
+File_7=SourceModule,'P:\vista\GUI-config\BDK32\Source\TRPCB.pas',0,1,1045,1,1059,0,0
+File_8=SourceModule,'P:\vista\GUI-config\CreateTemplateU.pas',0,1,140,11,145,0,0
+File_9=SourceModule,'P:\vista\GUI-config\SetSelU.pas',0,1,1,1,1,1,0
 
 [Modules]
-Module0=P:\vista\GUI-config\MainU.pas
-Module1=P:\vista\GUI-config\GUI_Config.dpr
-Module2=P:\vista\GUI-config\BDK32\Source\wsockc.pas
-Module3=P:\vista\GUI-config\frmSplash.pas
-Module4=P:\Vista\GUI-config\CPRS-Lib\ORNet.pas
-Module5=P:\vista\GUI-config\SkinFormU.pas
-Module6=P:\vista\GUI-config\PostU.pas
-Module7=P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas
-Module8=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
-Module9=P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas
-Count=10
+Module0=P:\vista\GUI-config\AboutU.pas
+Module1=P:\vista\GUI-config\frmSplash.pas
+Module2=P:\vista\GUI-config\MainU.pas
+Module3=P:\vista\GUI-config\GUI_Config.dpr
+Count=4
 EditWindowCount=1
+
+[P:\vista\GUI-config\AboutU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\GUI-config\frmSplash.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
 
 [P:\vista\GUI-config\MainU.pas]
 ModuleType=SourceModule
 FormState=0
-FormOnTop=0
+FormOnTop=1
 
 [P:\vista\GUI-config\GUI_Config.dpr]
@@ -29,44 +39,4 @@
 FormOnTop=0
 
-[P:\vista\GUI-config\BDK32\Source\wsockc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\frmSplash.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\GUI-config\CPRS-Lib\ORNet.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\SkinFormU.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\PostU.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\OleCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
 [C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
@@ -74,16 +44,10 @@
 
 [EditWindow0]
-ViewCount=10
-CurrentView=3
+ViewCount=4
+CurrentView=1
 View0=0
 View1=1
 View2=2
 View3=3
-View4=4
-View5=5
-View6=6
-View7=7
-View8=8
-View9=9
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -103,72 +67,30 @@
 LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=155
+BottomPanelSize=0
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=0000040000000000FF02000000000000029B00000000000000010000000000000000000000000100000000FF0200000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=00000400010000000B0000004D65737361676556696577FF02000000000000029B00000000000000010000000000000000000000000100000000FF0200000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
-Module=P:\vista\GUI-config\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas
-CursorX=11
-CursorY=1110
-TopLine=1104
-LeftCol=1
-
-[View1]
-Module=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
-CursorX=27
-CursorY=96
-TopLine=85
-LeftCol=1
-
-[View2]
-Module=P:\vista\GUI-config\BDK32\Source\ccowrpcbroker.pas
-CursorX=29
-CursorY=45
-TopLine=44
-LeftCol=1
-
-[View3]
 Module=P:\vista\GUI-config\MainU.pas
 CursorX=1
-CursorY=210
-TopLine=202
+CursorY=1658
+TopLine=1656
 LeftCol=1
 
-[View4]
-Module=P:\vista\GUI-config\PostU.pas
-CursorX=62
-CursorY=10
-TopLine=34
+[View1]
+Module=P:\vista\GUI-config\AboutU.pas
+CursorX=21
+CursorY=110
+TopLine=98
 LeftCol=1
 
-[View5]
-Module=P:\vista\GUI-config\SkinFormU.pas
-CursorX=16
-CursorY=95
-TopLine=87
-LeftCol=1
-
-[View6]
-Module=P:\Vista\GUI-config\CPRS-Lib\ORNet.pas
-CursorX=1
-CursorY=310
-TopLine=1
-LeftCol=1
-
-[View7]
+[View2]
 Module=P:\vista\GUI-config\frmSplash.pas
 CursorX=1
-CursorY=1
-TopLine=1
+CursorY=67
+TopLine=56
 LeftCol=1
 
-[View8]
-Module=P:\vista\GUI-config\BDK32\Source\wsockc.pas
-CursorX=1
-CursorY=1479
-TopLine=1468
-LeftCol=1
-
-[View9]
+[View3]
 Module=P:\vista\GUI-config\GUI_Config.dpr
 CursorX=1
@@ -203,8 +125,7 @@
 
 [Breakpoints]
-Count=3
+Count=2
 Breakpoint0='P:\vista\GUI-config\MainU.pas',990,'',0,1,'',1,0,0,'',1,'','',''
 Breakpoint1='P:\vista\GUI-config\MainU.pas',1879,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint2='P:\vista\GUI-config\MainU.pas',345,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -294,10 +215,10 @@
 Left=0
 Top=0
-Width=158
-Height=309
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=158
-ClientHeight=309
+Width=250
+Height=522
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=250
+ClientHeight=522
 TBDockHeight=527
 LRDockWidth=250
@@ -305,5 +226,5 @@
 SplitPos=73
 ArrangeBy=Name
-SelectedItem=
+SelectedItem=Name
 ExpandedItems=Anchors,Menu,Options
 HiddenCategories=Legacy
@@ -373,10 +294,10 @@
 Left=0
 Top=0
-Width=158
-Height=309
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=158
-ClientHeight=309
+Width=250
+Height=522
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=250
+ClientHeight=522
 TBDockHeight=527
 LRDockWidth=250
@@ -509,5 +430,5 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=1
+Visible=0
 State=0
 Left=12
@@ -531,12 +452,12 @@
 Visible=1
 State=0
-Left=36
-Top=157
-Width=174
-Height=364
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=166
-ClientHeight=338
+Left=12
+Top=139
+Width=266
+Height=577
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=258
+ClientHeight=551
 TBDockHeight=539
 LRDockWidth=258