Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.drc
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.drc	(revision 541)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.drc	(revision 612)
@@ -184,84 +184,84 @@
 #define QConsts_STooManyMessageBoxButtons 65102
 #define QConsts_SmkcBkSp 65103
-#define TeeConst_TeeMsg_FunctionAverage 65104
-#define TeeConst_TeeMsg_DefaultFontName 65105
-#define TeeConst_TeeMsg_CheckPointerSize 65106
-#define TeeConst_TeeMsg_FunctionPeriod 65107
-#define TeeConst_TeeMsg_PieOther 65108
-#define TeeConst_TeeMsg_ValuesX 65109
-#define TeeConst_TeeMsg_ValuesY 65110
-#define TeeConst_TeeMsg_ValuesPie 65111
-#define TeeConst_TeeMsg_ValuesBar 65112
-#define TeeConst_TeeMsg_ValuesAngle 65113
-#define TeeConst_TeeMsg_ValuesGanttStart 65114
-#define TeeConst_TeeMsg_ValuesGanttEnd 65115
-#define TeeConst_TeeMsg_ValuesGanttNextTask 65116
-#define TeeConst_TeeMsg_ValuesArrowEndX 65117
-#define TeeConst_TeeMsg_ValuesArrowEndY 65118
+#define TeeConst_TeeMsg_ValuesArrowEndY 65104
+#define ComConst_SCreateRegKeyError 65105
+#define ComConst_SOleError 65106
+#define ComConst_SObjectFactoryMissing 65107
+#define ComConst_STypeInfoMissing 65108
+#define ComConst_SBadTypeInfo 65109
+#define ComConst_SDispIntfMissing 65110
+#define ComConst_SNoMethod 65111
+#define ComConst_SVarNotObject 65112
+#define ComConst_STooManyParams 65113
+#define ComConst_SDCOMNotInstalled 65114
+#define ComConst_SDAXError 65115
+#define ComConst_SAutomationWarning 65116
+#define ComConst_SNoCloseActiveServer1 65117
+#define ComConst_SNoCloseActiveServer2 65118
 #define TntSystem_SBufferOverflow 65119
-#define TeeConst_TeeMsg_GanttSample2 65120
-#define TeeConst_TeeMsg_GanttSample3 65121
-#define TeeConst_TeeMsg_GanttSample4 65122
-#define TeeConst_TeeMsg_GanttSample5 65123
-#define TeeConst_TeeMsg_GanttSample6 65124
-#define TeeConst_TeeMsg_GanttSample7 65125
-#define TeeConst_TeeMsg_GanttSample8 65126
-#define TeeConst_TeeMsg_GanttSample9 65127
-#define TeeConst_TeeMsg_GanttSample10 65128
-#define TeeConst_TeeMsg_DefaultFontSize 65129
-#define TeeConst_TeeMsg_FunctionAdd 65130
-#define TeeConst_TeeMsg_FunctionSubtract 65131
-#define TeeConst_TeeMsg_FunctionMultiply 65132
-#define TeeConst_TeeMsg_FunctionDivide 65133
-#define TeeConst_TeeMsg_FunctionHigh 65134
-#define TeeConst_TeeMsg_FunctionLow 65135
-#define TeeConst_TeeMsg_GalleryPie 65136
-#define TeeConst_TeeMsg_GalleryFastLine 65137
-#define TeeConst_TeeMsg_Rotation 65138
-#define TeeConst_TeeMsg_PieSample1 65139
-#define TeeConst_TeeMsg_PieSample2 65140
-#define TeeConst_TeeMsg_PieSample3 65141
-#define TeeConst_TeeMsg_PieSample4 65142
-#define TeeConst_TeeMsg_PieSample5 65143
-#define TeeConst_TeeMsg_PieSample6 65144
-#define TeeConst_TeeMsg_PieSample7 65145
-#define TeeConst_TeeMsg_PieSample8 65146
-#define TeeConst_TeeMsg_GalleryStandard 65147
-#define TeeConst_TeeMsg_GalleryFunctions 65148
-#define TeeConst_TeeMsg_GalleryArrow 65149
-#define TeeConst_TeeMsg_GalleryGantt 65150
-#define TeeConst_TeeMsg_GanttSample1 65151
-#define TeeConst_TeeMsg_AxisLogBase 65152
-#define TeeConst_TeeMsg_MaxPointsPerPage 65153
-#define TeeConst_TeeMsg_3dPercent 65154
-#define TeeConst_TeeMsg_CircularSeries 65155
-#define TeeConst_TeeMsg_BarWidthPercent 65156
-#define TeeConst_TeeMsg_BarOffsetPercent 65157
-#define TeeConst_TeeMsg_DefaultPercentOf 65158
-#define TeeConst_TeeMsg_DefPercentFormat 65159
-#define TeeConst_TeeMsg_DefValueFormat 65160
-#define TeeConst_TeeMsg_AxisTitle 65161
-#define TeeConst_TeeMsg_AxisLabels 65162
-#define TeeConst_TeeMsg_GalleryLine 65163
-#define TeeConst_TeeMsg_GalleryPoint 65164
-#define TeeConst_TeeMsg_GalleryArea 65165
-#define TeeConst_TeeMsg_GalleryBar 65166
-#define TeeConst_TeeMsg_GalleryHorizBar 65167
-#define ComConst_SAutomationWarning 65168
-#define ComConst_SNoCloseActiveServer1 65169
-#define ComConst_SNoCloseActiveServer2 65170
-#define TeeConst_TeeMsg_LegendTopPos 65171
-#define TeeConst_TeeMsg_LegendFirstValue 65172
-#define TeeConst_TeeMsg_LegendColorWidth 65173
-#define TeeConst_TeeMsg_SeriesSetDataSource 65174
-#define TeeConst_TeeMsg_SeriesInvDataSource 65175
-#define TeeConst_TeeMsg_FillSample 65176
-#define TeeConst_TeeMsg_Angle 65177
-#define TeeConst_TeeMsg_AxisLogDateTime 65178
-#define TeeConst_TeeMsg_AxisLogNotPositive 65179
-#define TeeConst_TeeMsg_AxisLabelSep 65180
-#define TeeConst_TeeMsg_AxisIncrementNeg 65181
-#define TeeConst_TeeMsg_AxisMinMax 65182
-#define TeeConst_TeeMsg_AxisMaxMin 65183
+#define TeeConst_TeeMsg_FunctionHigh 65120
+#define TeeConst_TeeMsg_FunctionLow 65121
+#define TeeConst_TeeMsg_FunctionAverage 65122
+#define TeeConst_TeeMsg_DefaultFontName 65123
+#define TeeConst_TeeMsg_CheckPointerSize 65124
+#define TeeConst_TeeMsg_FunctionPeriod 65125
+#define TeeConst_TeeMsg_PieOther 65126
+#define TeeConst_TeeMsg_ValuesX 65127
+#define TeeConst_TeeMsg_ValuesY 65128
+#define TeeConst_TeeMsg_ValuesPie 65129
+#define TeeConst_TeeMsg_ValuesBar 65130
+#define TeeConst_TeeMsg_ValuesAngle 65131
+#define TeeConst_TeeMsg_ValuesGanttStart 65132
+#define TeeConst_TeeMsg_ValuesGanttEnd 65133
+#define TeeConst_TeeMsg_ValuesGanttNextTask 65134
+#define TeeConst_TeeMsg_ValuesArrowEndX 65135
+#define TeeConst_TeeMsg_GalleryGantt 65136
+#define TeeConst_TeeMsg_GanttSample1 65137
+#define TeeConst_TeeMsg_GanttSample2 65138
+#define TeeConst_TeeMsg_GanttSample3 65139
+#define TeeConst_TeeMsg_GanttSample4 65140
+#define TeeConst_TeeMsg_GanttSample5 65141
+#define TeeConst_TeeMsg_GanttSample6 65142
+#define TeeConst_TeeMsg_GanttSample7 65143
+#define TeeConst_TeeMsg_GanttSample8 65144
+#define TeeConst_TeeMsg_GanttSample9 65145
+#define TeeConst_TeeMsg_GanttSample10 65146
+#define TeeConst_TeeMsg_DefaultFontSize 65147
+#define TeeConst_TeeMsg_FunctionAdd 65148
+#define TeeConst_TeeMsg_FunctionSubtract 65149
+#define TeeConst_TeeMsg_FunctionMultiply 65150
+#define TeeConst_TeeMsg_FunctionDivide 65151
+#define TeeConst_TeeMsg_GalleryBar 65152
+#define TeeConst_TeeMsg_GalleryHorizBar 65153
+#define TeeConst_TeeMsg_GalleryPie 65154
+#define TeeConst_TeeMsg_GalleryFastLine 65155
+#define TeeConst_TeeMsg_Rotation 65156
+#define TeeConst_TeeMsg_PieSample1 65157
+#define TeeConst_TeeMsg_PieSample2 65158
+#define TeeConst_TeeMsg_PieSample3 65159
+#define TeeConst_TeeMsg_PieSample4 65160
+#define TeeConst_TeeMsg_PieSample5 65161
+#define TeeConst_TeeMsg_PieSample6 65162
+#define TeeConst_TeeMsg_PieSample7 65163
+#define TeeConst_TeeMsg_PieSample8 65164
+#define TeeConst_TeeMsg_GalleryStandard 65165
+#define TeeConst_TeeMsg_GalleryFunctions 65166
+#define TeeConst_TeeMsg_GalleryArrow 65167
+#define TeeConst_TeeMsg_AxisMinMax 65168
+#define TeeConst_TeeMsg_AxisMaxMin 65169
+#define TeeConst_TeeMsg_AxisLogBase 65170
+#define TeeConst_TeeMsg_MaxPointsPerPage 65171
+#define TeeConst_TeeMsg_3dPercent 65172
+#define TeeConst_TeeMsg_CircularSeries 65173
+#define TeeConst_TeeMsg_BarWidthPercent 65174
+#define TeeConst_TeeMsg_BarOffsetPercent 65175
+#define TeeConst_TeeMsg_DefaultPercentOf 65176
+#define TeeConst_TeeMsg_DefPercentFormat 65177
+#define TeeConst_TeeMsg_DefValueFormat 65178
+#define TeeConst_TeeMsg_AxisTitle 65179
+#define TeeConst_TeeMsg_AxisLabels 65180
+#define TeeConst_TeeMsg_GalleryLine 65181
+#define TeeConst_TeeMsg_GalleryPoint 65182
+#define TeeConst_TeeMsg_GalleryArea 65183
 #define ComStrs_sFailSetCalDateTime 65184
 #define ComStrs_sFailSetCalMaxSelRange 65185
@@ -269,15 +269,15 @@
 #define ComStrs_sFailsetCalSelRange 65187
 #define WinHelpViewer_hNoKeyword 65188
-#define ComConst_SCreateRegKeyError 65189
-#define ComConst_SOleError 65190
-#define ComConst_SObjectFactoryMissing 65191
-#define ComConst_STypeInfoMissing 65192
-#define ComConst_SBadTypeInfo 65193
-#define ComConst_SDispIntfMissing 65194
-#define ComConst_SNoMethod 65195
-#define ComConst_SVarNotObject 65196
-#define ComConst_STooManyParams 65197
-#define ComConst_SDCOMNotInstalled 65198
-#define ComConst_SDAXError 65199
+#define TeeConst_TeeMsg_LegendTopPos 65189
+#define TeeConst_TeeMsg_LegendFirstValue 65190
+#define TeeConst_TeeMsg_LegendColorWidth 65191
+#define TeeConst_TeeMsg_SeriesSetDataSource 65192
+#define TeeConst_TeeMsg_SeriesInvDataSource 65193
+#define TeeConst_TeeMsg_FillSample 65194
+#define TeeConst_TeeMsg_Angle 65195
+#define TeeConst_TeeMsg_AxisLogDateTime 65196
+#define TeeConst_TeeMsg_AxisLogNotPositive 65197
+#define TeeConst_TeeMsg_AxisLabelSep 65198
+#define TeeConst_TeeMsg_AxisIncrementNeg 65199
 #define ComStrs_sTabFailGetObject 65200
 #define ComStrs_sTabFailSet 65201
@@ -793,4 +793,22 @@
 	QConsts_STooManyMessageBoxButtons,	"Too many buttons specified for message box"
 	QConsts_SmkcBkSp,	"Backspace"
+	TeeConst_TeeMsg_ValuesArrowEndY,	"EndY"
+	ComConst_SCreateRegKeyError,	"Error creating system registry entry"
+	ComConst_SOleError,	"OLE error %.8x"
+	ComConst_SObjectFactoryMissing,	"Object factory for class %s missing"
+	ComConst_STypeInfoMissing,	"Type information missing for class %s"
+	ComConst_SBadTypeInfo,	"Incorrect type information for class %s"
+	ComConst_SDispIntfMissing,	"Dispatch interface missing from class %s"
+	ComConst_SNoMethod,	"Method '%s' not supported by automation object"
+	ComConst_SVarNotObject,	"Variant does not reference an automation object"
+	ComConst_STooManyParams,	"Dispatch methods do not support more than 64 parameters"
+	ComConst_SDCOMNotInstalled,	"DCOM not installed"
+	ComConst_SDAXError,	"DAX Error"
+	ComConst_SAutomationWarning,	"COM Server Warning"
+	ComConst_SNoCloseActiveServer1,	"There are still active COM objects in this application.  One or more clients may have references to these objects, so manually closing "
+	ComConst_SNoCloseActiveServer2,	"this application may cause those client application(s) to fail.\r\n\r\nAre you sure you want to close this application?"
+	TntSystem_SBufferOverflow,	"Buffer overflow"
+	TeeConst_TeeMsg_FunctionHigh,	"High"
+	TeeConst_TeeMsg_FunctionLow,	"Low"
 	TeeConst_TeeMsg_FunctionAverage,	"Average"
 	TeeConst_TeeMsg_DefaultFontName,	"Arial"
@@ -807,6 +825,6 @@
 	TeeConst_TeeMsg_ValuesGanttNextTask,	"NextTask"
 	TeeConst_TeeMsg_ValuesArrowEndX,	"EndX"
-	TeeConst_TeeMsg_ValuesArrowEndY,	"EndY"
-	TntSystem_SBufferOverflow,	"Buffer overflow"
+	TeeConst_TeeMsg_GalleryGantt,	"Gantt"
+	TeeConst_TeeMsg_GanttSample1,	"Design"
 	TeeConst_TeeMsg_GanttSample2,	"Prototyping"
 	TeeConst_TeeMsg_GanttSample3,	"Development"
@@ -823,6 +841,6 @@
 	TeeConst_TeeMsg_FunctionMultiply,	"Multiply"
 	TeeConst_TeeMsg_FunctionDivide,	"Divide"
-	TeeConst_TeeMsg_FunctionHigh,	"High"
-	TeeConst_TeeMsg_FunctionLow,	"Low"
+	TeeConst_TeeMsg_GalleryBar,	"Bar"
+	TeeConst_TeeMsg_GalleryHorizBar,	"Horiz. Bar"
 	TeeConst_TeeMsg_GalleryPie,	"Pie"
 	TeeConst_TeeMsg_GalleryFastLine,	"Fast Line"
@@ -839,6 +857,6 @@
 	TeeConst_TeeMsg_GalleryFunctions,	"Functions"
 	TeeConst_TeeMsg_GalleryArrow,	"Arrow"
-	TeeConst_TeeMsg_GalleryGantt,	"Gantt"
-	TeeConst_TeeMsg_GanttSample1,	"Design"
+	TeeConst_TeeMsg_AxisMinMax,	"Axis Minimum Value must be <= Maximum"
+	TeeConst_TeeMsg_AxisMaxMin,	"Axis Maximum Value must be >= Minimum"
 	TeeConst_TeeMsg_AxisLogBase,	"Axis Logarithmic Base should be >= 2"
 	TeeConst_TeeMsg_MaxPointsPerPage,	"MaxPointsPerPage must be >= 0"
@@ -855,9 +873,9 @@
 	TeeConst_TeeMsg_GalleryPoint,	"Point"
 	TeeConst_TeeMsg_GalleryArea,	"Area"
-	TeeConst_TeeMsg_GalleryBar,	"Bar"
-	TeeConst_TeeMsg_GalleryHorizBar,	"Horiz. Bar"
-	ComConst_SAutomationWarning,	"COM Server Warning"
-	ComConst_SNoCloseActiveServer1,	"There are still active COM objects in this application.  One or more clients may have references to these objects, so manually closing "
-	ComConst_SNoCloseActiveServer2,	"this application may cause those client application(s) to fail.\r\n\r\nAre you sure you want to close this application?"
+	ComStrs_sFailSetCalDateTime,	"Failed to set calendar date or time"
+	ComStrs_sFailSetCalMaxSelRange,	"Failed to set maximum selection range"
+	ComStrs_sFailSetCalMinMaxRange,	"Failed to set calendar min/max range"
+	ComStrs_sFailsetCalSelRange,	"Failed to set calendar selected range"
+	WinHelpViewer_hNoKeyword,	"No help keyword specified."
 	TeeConst_TeeMsg_LegendTopPos,	"Top Legend Position must be between 0 and 100 %"
 	TeeConst_TeeMsg_LegendFirstValue,	"First Legend Value must be > 0"
@@ -871,22 +889,4 @@
 	TeeConst_TeeMsg_AxisLabelSep,	"Labels Separation % must be greater than 0"
 	TeeConst_TeeMsg_AxisIncrementNeg,	"Axis increment must be >= 0"
-	TeeConst_TeeMsg_AxisMinMax,	"Axis Minimum Value must be <= Maximum"
-	TeeConst_TeeMsg_AxisMaxMin,	"Axis Maximum Value must be >= Minimum"
-	ComStrs_sFailSetCalDateTime,	"Failed to set calendar date or time"
-	ComStrs_sFailSetCalMaxSelRange,	"Failed to set maximum selection range"
-	ComStrs_sFailSetCalMinMaxRange,	"Failed to set calendar min/max range"
-	ComStrs_sFailsetCalSelRange,	"Failed to set calendar selected range"
-	WinHelpViewer_hNoKeyword,	"No help keyword specified."
-	ComConst_SCreateRegKeyError,	"Error creating system registry entry"
-	ComConst_SOleError,	"OLE error %.8x"
-	ComConst_SObjectFactoryMissing,	"Object factory for class %s missing"
-	ComConst_STypeInfoMissing,	"Type information missing for class %s"
-	ComConst_SBadTypeInfo,	"Incorrect type information for class %s"
-	ComConst_SDispIntfMissing,	"Dispatch interface missing from class %s"
-	ComConst_SNoMethod,	"Method '%s' not supported by automation object"
-	ComConst_SVarNotObject,	"Variant does not reference an automation object"
-	ComConst_STooManyParams,	"Dispatch methods do not support more than 64 parameters"
-	ComConst_SDCOMNotInstalled,	"DCOM not installed"
-	ComConst_SDAXError,	"DAX Error"
 	ComStrs_sTabFailGetObject,	"Failed to get object at index %d"
 	ComStrs_sTabFailSet,	"Failed to set tab \"%s\" at index %d"