Index: Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs
===================================================================
--- Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs	(revision 614)
+++ Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs	(revision 616)
@@ -101,5 +101,4 @@
 		private System.Windows.Forms.MenuItem mnuDisplayWalkIns;
         private System.Windows.Forms.MenuItem mnuRPMSDivision;
-        private MenuItem ctxCalGridEHR;
         private IContainer components;
 
@@ -273,5 +272,4 @@
             this.ctxCalGridDelete = new System.Windows.Forms.MenuItem();
             this.ctxCalGridCheckIn = new System.Windows.Forms.MenuItem();
-            this.ctxCalGridEHR = new System.Windows.Forms.MenuItem();
             this.menuItem2 = new System.Windows.Forms.MenuItem();
             this.ctxCalGridNoShow = new System.Windows.Forms.MenuItem();
@@ -813,5 +811,4 @@
             this.ctxCalGridDelete,
             this.ctxCalGridCheckIn,
-            this.ctxCalGridEHR,
             this.menuItem2,
             this.ctxCalGridNoShow,
@@ -845,18 +842,12 @@
             this.ctxCalGridCheckIn.Click += new System.EventHandler(this.ctxCalGridCheckIn_Click);
             // 
-            // ctxCalGridEHR
-            // 
-            this.ctxCalGridEHR.Index = 4;
-            this.ctxCalGridEHR.Text = "View Patient in EHR";
-            this.ctxCalGridEHR.Click += new System.EventHandler(this.ctxCalGridEHR_Click);
-            // 
             // menuItem2
             // 
-            this.menuItem2.Index = 5;
+            this.menuItem2.Index = 4;
             this.menuItem2.Text = "-";
             // 
             // ctxCalGridNoShow
             // 
-            this.ctxCalGridNoShow.Index = 6;
+            this.ctxCalGridNoShow.Index = 5;
             this.ctxCalGridNoShow.Text = "Mark as No Show";
             this.ctxCalGridNoShow.Click += new System.EventHandler(this.ctxCalGridNoShow_Click);
@@ -864,5 +855,5 @@
             // ctxCalGridNoShowUndo
             // 
-            this.ctxCalGridNoShowUndo.Index = 7;
+            this.ctxCalGridNoShowUndo.Index = 6;
             this.ctxCalGridNoShowUndo.Text = "Undo NoShow";
             this.ctxCalGridNoShowUndo.Click += new System.EventHandler(this.ctxCalGridNoShowUndo_Click);
@@ -870,10 +861,10 @@
             // menuItem9
             // 
-            this.menuItem9.Index = 8;
+            this.menuItem9.Index = 7;
             this.menuItem9.Text = "-";
             // 
             // ctxCalGridWalkin
             // 
-            this.ctxCalGridWalkin.Index = 9;
+            this.ctxCalGridWalkin.Index = 8;
             this.ctxCalGridWalkin.Text = "Create Wal&k-In Appointment";
             this.ctxCalGridWalkin.Click += new System.EventHandler(this.ctxCalGridWalkin_Click);
@@ -1225,5 +1216,4 @@
 			ctxCalGridNoShowUndo.Enabled = bEditAppointments;
 			ctxCalGridWalkin.Enabled = ctxCalGridAdd.Enabled;
-            this.ctxCalGridEHR.Enabled = bEditAppointments;
 		}
 
@@ -1263,9 +1253,4 @@
 			AppointmentNoShow(false);
 		}
-
-        private void ctxCalGridEHR_Click(object sender, EventArgs e)
-        {
-            AppointmentEHRPatient();
-        }
 
 		#endregion ctxCalGridMenu Handlers
@@ -1636,28 +1621,4 @@
 		}
 
-        private void AppointmentEHRPatient()
-        {
-            try
-            {
-                int nApptID = this.calendarGrid1.SelectedAppointment;
-                Debug.Assert(nApptID != 0);
-
-                CGAppointment a = (CGAppointment)this.Appointments.AppointmentTable[nApptID];
-
-                string sDFN = a.PatientID.ToString();
-                if (sDFN == "")
-                    return;
-
-                string sWID = Environment.MachineName;
-                string sCmd = "BSDX EHR PATIENT^" + sWID + "^" + sDFN;
-                DataTable dtAppt = this.DocManager.RPMSDataTable(sCmd, "EHR Patient");
-
-            }
-            catch (Exception ex)
-            {
-                Debug.Write("CGView.AppointmentEHRPatient Failed:  " + ex.Message);
-            }
-        }
-
 		private void AppointmentEdit()
 		{