Index: Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs
===================================================================
--- Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs	(revision 616)
+++ Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs	(revision 620)
@@ -1439,5 +1439,5 @@
 			catch (Exception ex)
 			{
-				MessageBox.Show("Unable to edit availability for " + m_sDocName + " schedule.  " +  ex.Message, "IHS Clinical Scheduling");
+				MessageBox.Show("Unable to edit availability for " + m_sDocName + " schedule.  " +  ex.Message, "Clinical Scheduling");
 				this.m_DocManager.CloseAllViews(doc);
 				return;
@@ -1481,5 +1481,5 @@
 				catch (Exception ex)
 				{
-					MessageBox.Show("Unable to open " + m_sDocName + " schedule.  " +  ex.Message, "IHS Clinical Scheduling");
+					MessageBox.Show("Unable to open " + m_sDocName + " schedule.  " +  ex.Message, "Clinical Scheduling");
 					this.m_DocManager.CloseAllViews(doc);
 					return;
@@ -1615,5 +1615,5 @@
 			catch (Exception ex)
 			{
-				MessageBox.Show("Unable to open " + m_sDocName + " schedule.  " +  ex.Message, "IHS Clinical Scheduling");
+				MessageBox.Show("Unable to open " + m_sDocName + " schedule.  " +  ex.Message, "Clinical Scheduling");
 				this.m_DocManager.CloseAllViews(doc);
 				return;
@@ -1688,5 +1688,5 @@
 						(a.StartTime.Date > DateTime.Today.Date)
 						&&
-						(MessageBox.Show(this, "The appointment for " + a.PatientName + " is in the future.  Are you sure you want to No-Show?", "IHS Windows Scheduling", MessageBoxButtons.OKCancel, MessageBoxIcon.Question) != DialogResult.OK))
+						(MessageBox.Show(this, "The appointment for " + a.PatientName + " is in the future.  Are you sure you want to No-Show?", "Windows Scheduling", MessageBoxButtons.OKCancel, MessageBoxIcon.Question) != DialogResult.OK))
 					{
 					}
@@ -1702,5 +1702,5 @@
 				catch (Exception ex)
 				{
-					MessageBox.Show("Unable to mark appointment No Show: " +  ex.Message, "IHS Clinical Scheduling");
+					MessageBox.Show("Unable to mark appointment No Show: " +  ex.Message, "Clinical Scheduling");
 				}
 				if (bRebook == true)
@@ -1867,5 +1867,5 @@
 				catch (Exception ex)
 				{
-					MessageBox.Show("Unable to delete appointment.  " +  ex.Message, "IHS Clinical Scheduling");
+					MessageBox.Show("Unable to delete appointment.  " +  ex.Message, "Clinical Scheduling");
 				}
 
@@ -1909,5 +1909,5 @@
 					(a.StartTime.Date > DateTime.Today.Date))
 				{
-					MessageBox.Show(this, "It is too early to check in " + a.PatientName, "IHS Windows Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
+					MessageBox.Show(this, "It is too early to check in " + a.PatientName, "Windows Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
 					return;
 				}
@@ -1991,5 +1991,5 @@
 			catch (Exception ex)
 			{
-				MessageBox.Show("Error checking in patient:  " +  ex.Message, "IHS Clinical Scheduling");
+				MessageBox.Show("Error checking in patient:  " +  ex.Message, "Clinical Scheduling");
 			}
 
@@ -2033,5 +2033,5 @@
 				if (dStart.Date > DateTime.Today.Date)
 				{
-					MessageBox.Show(this, "You cannot create a walk-in appointment for a date in the future.\n Select today's date and try again.", "IHS Windows Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
+					MessageBox.Show(this, "You cannot create a walk-in appointment for a date in the future.\n Select today's date and try again.", "Windows Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
 					return;
 				}
@@ -2047,5 +2047,5 @@
 				if (m_nSlots < 1)
 				{
-					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "IHS Clinical Scheduling",MessageBoxButtons.YesNo);
+					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "Clinical Scheduling",MessageBoxButtons.YesNo);
 					if (dr != DialogResult.Yes)
 					{
@@ -2083,5 +2083,5 @@
 				if (m_nSlots < 1)
 				{
-					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "IHS Clinical Scheduling",MessageBoxButtons.YesNo);
+					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "Clinical Scheduling",MessageBoxButtons.YesNo);
 					if (dr != DialogResult.Yes)
 					{
@@ -2110,5 +2110,5 @@
 			catch (Exception ex)
 			{
-				MessageBox.Show("Unable to add walk-in appointment  " +  ex.Message, "IHS Clinical Scheduling");
+				MessageBox.Show("Unable to add walk-in appointment  " +  ex.Message, "Clinical Scheduling");
 				return;
 
@@ -2139,5 +2139,5 @@
 					DataRowView drv = dvHoliday[nFind];
 					sHoliday = drv["NAME"].ToString();
-					if (MessageBox.Show(this, dStart.ToShortDateString() + " is a holiday (" + sHoliday + ").  Are you sure you want to make this appointment?","IHS Clinical Scheduling", MessageBoxButtons.OKCancel, MessageBoxIcon.Question) != DialogResult.OK)
+					if (MessageBox.Show(this, dStart.ToShortDateString() + " is a holiday (" + sHoliday + ").  Are you sure you want to make this appointment?","Clinical Scheduling", MessageBoxButtons.OKCancel, MessageBoxIcon.Question) != DialogResult.OK)
 						return;
 				}
@@ -2158,5 +2158,5 @@
 				if (m_nSlots < 1)
 				{
-					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "IHS Clinical Scheduling",MessageBoxButtons.YesNo);
+					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "Clinical Scheduling",MessageBoxButtons.YesNo);
 					if (dr != DialogResult.Yes)
 					{
@@ -2207,5 +2207,5 @@
 				if (m_nSlots < 1)
 				{
-					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "IHS Clinical Scheduling",MessageBoxButtons.YesNo);
+					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "Clinical Scheduling",MessageBoxButtons.YesNo);
 					if (dr != DialogResult.Yes)
 					{
@@ -2219,5 +2219,5 @@
 			catch (Exception ex)
 			{
-				MessageBox.Show("Unable to add new appointment  " +  ex.Message, "IHS Clinical Scheduling");
+				MessageBox.Show("Unable to add new appointment  " +  ex.Message, "Clinical Scheduling");
 				return;
 
@@ -2243,5 +2243,5 @@
 			catch (Exception ex)
 			{
-				MessageBox.Show("Unable to refresh document " +  ex.Message, "IHS Clinical Scheduling");
+				MessageBox.Show("Unable to refresh document " +  ex.Message, "Clinical Scheduling");
 			}
 			finally
@@ -2264,5 +2264,5 @@
 			catch (Exception ex)
 			{
-				MessageBox.Show("Unable to update arrays " +  ex.Message, "IHS Clinical Scheduling");
+				MessageBox.Show("Unable to update arrays " +  ex.Message, "Clinical Scheduling");
 			}
 		}
@@ -2309,5 +2309,5 @@
             catch (Exception ex)
             {
-                MessageBox.Show("Scheduling Management Error:  " + ex.Message, "IHS Clinical Scheduling");
+                MessageBox.Show("Scheduling Management Error:  " + ex.Message, "Clinical Scheduling");
             }
         }
@@ -2337,5 +2337,5 @@
             catch (Exception ex)
             {
-                MessageBox.Show(this, ex.Message, "IHS Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
+                MessageBox.Show(this, ex.Message, "Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
             }
         }
@@ -2392,5 +2392,5 @@
             catch (Exception ex)
             {
-                MessageBox.Show(this, ex.Message, "IHS Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
+                MessageBox.Show(this, ex.Message, "Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
             }
         }
@@ -2666,5 +2666,5 @@
 				if (e.Appointment.CheckInTime.Ticks > 0)
 				{
-					MessageBox.Show("You cannot change the appointment time because the patient has already checked in.", "IHS Clinical Scheduling",  MessageBoxButtons.OKCancel, MessageBoxIcon.Information);
+					MessageBox.Show("You cannot change the appointment time because the patient has already checked in.", "Clinical Scheduling",  MessageBoxButtons.OKCancel, MessageBoxIcon.Information);
 					return;
 				}
@@ -2675,5 +2675,5 @@
 					return;
 
-				if (MessageBox.Show("Are you sure you want to move this appointment?", "IHS Clinical Scheduling",  MessageBoxButtons.YesNo) != DialogResult.Yes)
+				if (MessageBox.Show("Are you sure you want to move this appointment?", "Clinical Scheduling",  MessageBoxButtons.YesNo) != DialogResult.Yes)
 					return;
 
@@ -2708,5 +2708,5 @@
 				if (bSlotsAvailable == false)
 				{
-					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "IHS Clinical Scheduling",MessageBoxButtons.YesNo);
+					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "Clinical Scheduling",MessageBoxButtons.YesNo);
 					if (dr != DialogResult.Yes)
 					{
@@ -2731,5 +2731,5 @@
 			catch (Exception ex)
 			{
-				MessageBox.Show("Unable to change appointment  " +  ex.Message, "IHS Clinical Scheduling");
+				MessageBox.Show("Unable to change appointment  " +  ex.Message, "Clinical Scheduling");
 				this.m_DocManager.UpdateViews();
 				return;
@@ -2784,10 +2784,10 @@
 		private void mnuHelpAbout_Click(object sender, System.EventArgs e)
 		{
-			MessageBox.Show("IHS Clinical Scheduling Version " + Application.ProductVersion, "IHS Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Information);	
+			MessageBox.Show("Clinical Scheduling Version " + Application.ProductVersion, "Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Information);	
 		}
 
 		private void ImplementMsg()
 		{
-			MessageBox.Show("IHS Clinical Scheduling", "TODO: Implement this function");
+			MessageBox.Show("Clinical Scheduling", "TODO: Implement this function");
 		}
 
@@ -2895,5 +2895,5 @@
 				if (bSlotsAvailable == false)
 				{
-					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "IHS Clinical Scheduling",MessageBoxButtons.YesNo);
+					DialogResult dr = MessageBox.Show(this, "There are no slots available at the selected time.  Do you want to overbook this appointment?", "Clinical Scheduling",MessageBoxButtons.YesNo);
 					if (dr != DialogResult.Yes)
 					{
@@ -2910,5 +2910,5 @@
 			catch (Exception ex)
 			{
-				MessageBox.Show("Unable to add new appointment  " +  ex.Message, "IHS Clinical Scheduling");
+				MessageBox.Show("Unable to add new appointment  " +  ex.Message, "Clinical Scheduling");
 				return;
 			}
@@ -2954,5 +2954,5 @@
 			catch(Exception ex)
 			{
-				MessageBox.Show(this, ex.Message, "IHS Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
+				MessageBox.Show(this, ex.Message, "Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
 			}
 		}
@@ -2980,5 +2980,5 @@
 			catch(Exception ex)
 			{
-				MessageBox.Show(this, ex.Message, "IHS Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
+				MessageBox.Show(this, ex.Message, "Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
 			}
 			
@@ -3014,5 +3014,5 @@
 			catch(Exception ex)
 			{
-				MessageBox.Show(this, ex.Message, "IHS Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
+				MessageBox.Show(this, ex.Message, "Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
 			}		
 		}
@@ -3074,5 +3074,5 @@
 			catch(Exception ex)
 			{
-				MessageBox.Show(this, ex.Message, "IHS Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
+				MessageBox.Show(this, ex.Message, "Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
 			}
 
@@ -3118,5 +3118,5 @@
 			catch(Exception ex)
 			{
-				MessageBox.Show(this, ex.Message, "IHS Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
+				MessageBox.Show(this, ex.Message, "Clinical Scheduling", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
 			}
         }